Mailinglist Archive: opensuse-security-announce (37 mails)

< Previous Next >
[security-announce] SUSE-SU-2015:0158-1: critical: Security update for glibc
SUSE Security Update: Security update for glibc
______________________________________________________________________________

Announcement ID: SUSE-SU-2015:0158-1
Rating: critical
References: #913646
Cross-References: CVE-2015-0235
Affected Products:
SUSE Linux Enterprise Software Development Kit 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP2 LTSS
SUSE Linux Enterprise Server 11 SP1 LTSS
SUSE Linux Enterprise Server 10 SP4 LTSS
SUSE Linux Enterprise Desktop 11 SP3
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:


This update for glibc fixes the following security issue:

CVE-2015-0235: A vulnerability was found and fixed in the GNU C Library,
specifically in the function gethostbyname(), that could lead to a local
or remote buffer overflow. (bsc#913646)

Security Issues:

* CVE-2015-0235
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-0235>


Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Software Development Kit 11 SP3:

zypper in -t patch sdksp3-glibc-10206

- SUSE Linux Enterprise Server 11 SP3 for VMware:

zypper in -t patch slessp3-glibc-10206

- SUSE Linux Enterprise Server 11 SP3:

zypper in -t patch slessp3-glibc-10206

- SUSE Linux Enterprise Server 11 SP2 LTSS:

zypper in -t patch slessp2-glibc-10204

- SUSE Linux Enterprise Server 11 SP1 LTSS:

zypper in -t patch slessp1-glibc-10202

- SUSE Linux Enterprise Desktop 11 SP3:

zypper in -t patch sledsp3-glibc-10206

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Linux Enterprise Software Development Kit 11 SP3 (i586 x86_64):

glibc-html-2.11.3-17.74.13
glibc-info-2.11.3-17.74.13

- SUSE Linux Enterprise Server 11 SP3 for VMware (i586 x86_64):

glibc-2.11.3-17.74.13
glibc-devel-2.11.3-17.74.13
glibc-html-2.11.3-17.74.13
glibc-i18ndata-2.11.3-17.74.13
glibc-info-2.11.3-17.74.13
glibc-locale-2.11.3-17.74.13
glibc-profile-2.11.3-17.74.13
nscd-2.11.3-17.74.13

- SUSE Linux Enterprise Server 11 SP3 for VMware (x86_64):

glibc-32bit-2.11.3-17.74.13
glibc-devel-32bit-2.11.3-17.74.13
glibc-locale-32bit-2.11.3-17.74.13
glibc-profile-32bit-2.11.3-17.74.13

- SUSE Linux Enterprise Server 11 SP3 (i586 i686 ia64 ppc64 s390x x86_64):

glibc-2.11.3-17.74.13
glibc-devel-2.11.3-17.74.13

- SUSE Linux Enterprise Server 11 SP3 (i586 ia64 ppc64 s390x x86_64):

glibc-html-2.11.3-17.74.13
glibc-i18ndata-2.11.3-17.74.13
glibc-info-2.11.3-17.74.13
glibc-locale-2.11.3-17.74.13
glibc-profile-2.11.3-17.74.13
nscd-2.11.3-17.74.13

- SUSE Linux Enterprise Server 11 SP3 (ppc64 s390x x86_64):

glibc-32bit-2.11.3-17.74.13
glibc-devel-32bit-2.11.3-17.74.13
glibc-locale-32bit-2.11.3-17.74.13
glibc-profile-32bit-2.11.3-17.74.13

- SUSE Linux Enterprise Server 11 SP3 (ia64):

glibc-locale-x86-2.11.3-17.74.13
glibc-profile-x86-2.11.3-17.74.13
glibc-x86-2.11.3-17.74.13

- SUSE Linux Enterprise Server 11 SP2 LTSS (i586 i686 s390x x86_64):

glibc-2.11.3-17.45.55.5
glibc-devel-2.11.3-17.45.55.5

- SUSE Linux Enterprise Server 11 SP2 LTSS (i586 s390x x86_64):

glibc-html-2.11.3-17.45.55.5
glibc-i18ndata-2.11.3-17.45.55.5
glibc-info-2.11.3-17.45.55.5
glibc-locale-2.11.3-17.45.55.5
glibc-profile-2.11.3-17.45.55.5
nscd-2.11.3-17.45.55.5

- SUSE Linux Enterprise Server 11 SP2 LTSS (s390x x86_64):

glibc-32bit-2.11.3-17.45.55.5
glibc-devel-32bit-2.11.3-17.45.55.5
glibc-locale-32bit-2.11.3-17.45.55.5
glibc-profile-32bit-2.11.3-17.45.55.5

- SUSE Linux Enterprise Server 11 SP1 LTSS (i586 i686 s390x x86_64):

glibc-2.11.1-0.60.1
glibc-devel-2.11.1-0.60.1

- SUSE Linux Enterprise Server 11 SP1 LTSS (i586 s390x x86_64):

glibc-html-2.11.1-0.60.1
glibc-i18ndata-2.11.1-0.60.1
glibc-info-2.11.1-0.60.1
glibc-locale-2.11.1-0.60.1
glibc-profile-2.11.1-0.60.1
nscd-2.11.1-0.60.1

- SUSE Linux Enterprise Server 11 SP1 LTSS (s390x x86_64):

glibc-32bit-2.11.1-0.60.1
glibc-devel-32bit-2.11.1-0.60.1
glibc-locale-32bit-2.11.1-0.60.1
glibc-profile-32bit-2.11.1-0.60.1

- SUSE Linux Enterprise Server 10 SP4 LTSS (i586 i686 s390x x86_64):

glibc-2.4-31.113.3
glibc-devel-2.4-31.113.3

- SUSE Linux Enterprise Server 10 SP4 LTSS (i586 s390x x86_64):

glibc-html-2.4-31.113.3
glibc-i18ndata-2.4-31.113.3
glibc-info-2.4-31.113.3
glibc-locale-2.4-31.113.3
glibc-profile-2.4-31.113.3
nscd-2.4-31.113.3

- SUSE Linux Enterprise Server 10 SP4 LTSS (s390x x86_64):

glibc-32bit-2.4-31.113.3
glibc-devel-32bit-2.4-31.113.3
glibc-locale-32bit-2.4-31.113.3
glibc-profile-32bit-2.4-31.113.3

- SUSE Linux Enterprise Desktop 11 SP3 (i586 i686 x86_64):

glibc-2.11.3-17.74.13
glibc-devel-2.11.3-17.74.13

- SUSE Linux Enterprise Desktop 11 SP3 (i586 x86_64):

glibc-i18ndata-2.11.3-17.74.13
glibc-locale-2.11.3-17.74.13
nscd-2.11.3-17.74.13

- SUSE Linux Enterprise Desktop 11 SP3 (x86_64):

glibc-32bit-2.11.3-17.74.13
glibc-devel-32bit-2.11.3-17.74.13
glibc-locale-32bit-2.11.3-17.74.13


References:

http://support.novell.com/security/cve/CVE-2015-0235.html
https://bugzilla.suse.com/show_bug.cgi?id=913646

http://download.suse.com/patch/finder/?keywords=1ca03fa8282503d216439947cd177344

http://download.suse.com/patch/finder/?keywords=663c904782de77d808d74a6c283518c8

http://download.suse.com/patch/finder/?keywords=7fbea3f9bf3b0ca0902540ea678de798

http://download.suse.com/patch/finder/?keywords=fbc502d34a8bffb84719dc9a5ec60cde

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages